/*
 * Copyright (c) 2001-2002 Conexant Systems, Inc.
 * 
 * 1.   Permitted use. Redistribution and use in source and binary forms,
 * with or without modification, are permitted under the terms set forth
 * herein.
 * 
 * 2.   Disclaimer of Warranties. CONEXANT AND OTHER CONTRIBUTORS MAKE NO
 * REPRESENTATION ABOUT THE SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.
 * IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTIES OF ANY KIND.
 * CONEXANT AND OTHER CONTRIBUTORS DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE, GOOD TITLE AND AGAINST INFRINGEMENT.
 * 
 * This software has not been formally tested, and there is no guarantee that
 * it is free of errors including, but not limited to, bugs, defects,
 * interrupted operation, or unexpected results. Any use of this software is
 * at user's own risk.
 * 
 * 3.   No Liability.
 * 
 * (a) Conexant or contributors shall not be responsible for any loss or
 * damage to Company, its customers, or any third parties for any reason
 * whatsoever, and CONEXANT OR CONTRIBUTORS SHALL NOT BE LIABLE FOR ANY
 * ACTUAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL, OR CONSEQUENTIAL
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED, WHETHER IN CONTRACT, STRICT OR OTHER LEGAL THEORY OF
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
 * WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
 * OF SUCH DAMAGE.
 * 
 * (b) User agrees to hold Conexant and contributors harmless from any
 * liability, loss, cost, damage or expense, including attorney's fees,
 * as a result of any claims which may be made by any person, including
 * but not limited to User, its agents and employees, its customers, or
 * any third parties that arise out of or result from the manufacture,
 * delivery, actual or alleged ownership, performance, use, operation
 * or possession of the software furnished hereunder, whether such claims
 * are based on negligence, breach of contract, absolute liability or any
 * other legal theory.
 * 
 * 4.   Notices. User hereby agrees not to remove, alter or destroy any
 * copyright, trademark, credits, other proprietary notices or confidential
 * legends placed upon, contained within or associated with the Software,
 * and shall include all such unaltered copyright, trademark, credits,
 * other proprietary notices or confidential legends on or in every copy of
 * the Software.
 * 
 */

/****************************************************************************************
*		                     Version Control Information
*
*	$Header:   P:/d942/octopus/archives/linuxos/dist/modules/osspec/ostypedefs.h_v   1.1   27 Jun 2002 17:21:20   beliloi  $
*
*****************************************************************************************/


/****************************************************************************************

File Name:			OsTypeDefs.h

File Description:	OS specific definitions

*****************************************************************************************/

#ifndef __OSTYPEDEFS_H__
#define __OSTYPEDEFS_H__

#ifndef __TYPEDEFS_H__
//#include <linux/stddef.h>
#ifdef USBHCF
#endif

typedef void VOID, *PVOID, *LPVOID, **PPVOID, **PHANDLE;

typedef long INT32, *PINT32, LONG, *PLONG;

typedef unsigned int UINT, *PUINT;

typedef unsigned long UINT32, *PUINT32, ULONG, *PULONG;

typedef unsigned short UINT16, *PUINT16, WORD, *PWORD;

typedef unsigned char UINT8, BYTE, *PUINT8, *PBYTE;

#define HANDLE PVOID	

typedef char*	STRING;

typedef char* LPSTR, *PCHAR;
typedef const char* LPCSTR;

typedef int INT, *PINT;

typedef int BOOL, *PBOOL, BOOLEAN, *PBOOLEAN;

#define FALSE 0
#define TRUE  (!FALSE)

#define NULL ((void *)0)

typedef unsigned long DWORD, *PDWORD;

#define _cdecl
#define __cdecl
#define __declspec(a)
#define __inline inline
/* The following definitions should be used for each parameter in a function's parameters list. */
#define IN
#define OUT
#define IO

#ifndef min
#define min(x,y) ((x) < (y)  ? (x) : (y))
#endif
#ifndef max
#define max(x,y) ((x) > (y)  ? (x) : (y))
#endif

/* The following definitions should be used with each function's definition. */
#define GLOBAL
#define STATIC
//#define static

#define __asm	#undef
#ifdef _DEBUG
#define	DbgDump(ptr, size)
#endif

#define pack message

#endif	/* __TYPEDEFS_H__ */

#endif /* __OSTYPEDEFS_H__ */


 
